<?xml version="1.0" encoding="UTF-8" ?>
<Runtimes>
	<RT_Rules>
		<!--key:1=HKEY_CLASSES_ROOT,2=HKEY_CURRENT_USER,3=HKEY_LOCAL_MACHINE,4=HKEY_USERS,5=HKEY_CURRENT_CONFIG-->
		<!--ValueType:1=REG_SZ,2=REG_DWORD-->
		<DX9 
			Group="1" id="1" Key="3" SubKey="SOFTWARE\Microsoft\DirectX" ValueName="Version" ValueType="1" Value="4.09.00.0904"/>
		
		<!--x64、ia64版本的全部不管-->
		<VC10 
			Group="2" id="2" Key="3" SubKey="SOFTWARE\Microsoft\VisualStudio\10.0\VC\VCRedist\x86" VersionStr="Version" ValueName="Bld" ValueType="2" Value="30319"/> <!--读build号-->
		<VC10Sp1 
			Group="2" id="3" Key="3" SubKey="SOFTWARE\Microsoft\VisualStudio\10.0\VC\VCRedist\x86" VersionStr="Version" ValueName="Bld" ValueType="2" Value="40219"/>
		
		<VC12 
			Group="2" id="4" Key="3" SubKey="SOFTWARE\Microsoft\VisualStudio\11.0\VC\Runtimes\x86" VersionStr="Version" ValueName="Installed" ValueType="2" Value="1"/>
		
		<VC13 
			Group="2" id="5" Key="3" SubKey="SOFTWARE\Microsoft\VisualStudio\12.0\VC\Runtimes\x86" VersionStr="Version" ValueName="Installed" ValueType="2" Value="1"/>
		
		<DotNet2.0sp1 
			Group="2" id="6" Key="3" SubKey="SOFTWARE\Microsoft\NET Framework Setup\NDP\v2.0.50727" VersionStr="Version" ValueName="SP" ValueType="2" Value="1" />
		<DotNet2.0sp2 
			Group="2" id="7" Key="3" SubKey="SOFTWARE\Microsoft\NET Framework Setup\NDP\v2.0.50727" VersionStr="Version" ValueName="SP" ValueType="2" Value="2" />
		
		<DotNet3.0sp1 
			Group="2" id="8" Key="3" SubKey="SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.0" VersionStr="Version" ValueName="SP" ValueType="2" Value="1" />
		<DotNet3.0sp2 
			Group="2" id="9" Key="3" SubKey="SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.0" VersionStr="Version" ValueName="SP" ValueType="2" Value="2" />
		
		<DotNet3.5 
			Group="2" id="10" Key="3" SubKey="SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5" VersionStr="Version" ValueName="SP" ValueType="2" Value="0" />
		<DotNet3.5sp1 
			Group="2" id="11" Key="3" SubKey="SOFTWARE\Microsoft\NET Framework Setup\NDP\v3.5" VersionStr="Version" ValueName="SP" ValueType="2" Value="1" />
		
		<!--framework4.0、4.5有client版本和full版本，先考虑Full版本，同时两个版本共用一个注册表，只能区分版本号-->
		<DotNet4 
			Group="2" id="12" Key="3" SubKey="SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full" VersionStr="Version" ValueName="Install" ValueType="2" Value="1"/><!--小于Value-->
		<DotNet4.5 
			Group="2" id="13" Key="3" SubKey="SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Full" VersionStr="Version" ValueName="Release" ValueType="2" Value="378389" OSVer="6"/><!--大于等于Value-->

		<!--VC++2005和2008比较特殊，没有注册表，GUID又根据语言、版本不同，只能取manifest文件做判断-->
		<!--只配置sp1-->
		<!--CRT, SCL, ATL, MFC, OpenMP，只判断其中一个，crt-->
		<!--VC05 
			Group="3" id="14" manifest="134"/>
		<VC08 
			Group="3" id="15" manifest="135"/-->
			
		<VC05 
			Group="4" id="14" Key="3" SubKey="SOFTWARE\Microsoft\DevDiv\VC\Servicing\8.0\RED" ValueName="SP1" ValueType="1" Value="1033" manifest="134"  Jump="3"/> <!--Jump=3表示用manifest的方式进行检测-->
		<VC08 
			Group="4" id="15" Key="3" SubKey="SOFTWARE\Microsoft\DevDiv\VC\Servicing\9.0\RED" ValueName="SP1" ValueType="1" Value="1033" manifest="135" Jump="3"/> <!--Jump=3表示用manifest的方式进行检测-->	
		<OpenAL 
			Group="5" id="16" Key="3" SubKey="system" VersionStr="Version" ValueName="OpenAL32.dll" ValueType="1" Value="2.0.7.0" /><!--Group4,只需要判断有没有安装-->
		<Silverlight4.0 
			Group="1" id="17" Key="3" SubKey="SOFTWARE\Microsoft\Silverlight" ValueName="Version" ValueType="1" Value="4.0.60831.0"/>
		<XNA3.1 
			Group="1" id="18" Key="3" SubKey="SOFTWARE\Microsoft\XNA\Framework\v3.1" ValueName="ProductVersion" ValueType="1" Value="3.1.10527.0"/>
		<XNA4.0 
			Group="1" id="19" Key="3" SubKey="SOFTWARE\Microsoft\XNA\Framework\v4.0" ValueName="ProductVersion" ValueType="1" Value="4.0.20823.0"/>
		<PhysX 
			Group="1" id="20" Key="3" SubKey="SOFTWARE\NVIDIA Corporation\PhysX_SystemSoftware" ValueName="PhysX (GPU) Version" ValueType="1" Value="9.13.1220"/>
		<Java
			Group="1" id="21" Key="3" SubKey="SOFTWARE\JavaSoft\Java Runtime Environment\1.8.0_66\MSI" ValueName="PRODUCTVERSION" ValueType="1" Value="8.0.660.17" Jump="6"/> <!--Jump=6表示用第6组方式进行检测-->
		<MSXML3.0 
			Group="2" id="22" Key="3" SubKey="SOFTWARE\Classes\Installer\Products\4FDD60E4A4FA9394EAF0FFA4712B016E" ValueName="Version" ValueType="2" Value="138806352"/>
		<MSXML4.0 
			Group="2" id="23" Key="3" SubKey="SOFTWARE\Classes\Installer\Products\1F764691F11C67F458B88521DA8CB349" ValueName="Version" ValueType="2" Value="69077044"/>
		<MSXML6.0x86 
			Group="4" id="24" Key="1" SubKey="Msxml2.DOMDocument.6.0\CLSID" ValueName="(默认)" ValueType="1" Value="{88d96a05-f192-11d4-a65f-0040963251e5}"/><!--暂时没有找到MSXMl6.0安装-->
		<MSXML6.0x64 
			Group="4" id="25" Key="1" SubKey="Msxml2.DOMDocument.6.0\CLSID" ValueName="(默认)" ValueType="1" Value="{88d96a05-f192-11d4-a65f-0040963251e5}"/><!--暂时没有找到MSXMl6.0安装作为-->
   
		<!--特殊的一组要检测特定的文件夹中的文件，SubKey="system"表示在系统盘中，ValueName=""表示需要查找的文件-->
		<D3DX9
			Group="5" id="26" Key="1" SubKey="system" ValueName="d3dcompiler_33.dll/D3DCompiler_43.dll/x3daudio1_0.dll/X3DAudio1_7.dll/XAPOFX1_0.dll/XAPOFX1_5.dll/XAudio2_0.dll/XAudio2_7.dll/d3dcsx_42.dll/d3dcsx_43.dll/d3dx10_33.dll/d3dx10_43.dll/d3dx11_42.dll/d3dx11_43.dll/xactengine2_0.dll/xactengine2_9.dll/xactengine3_0.dll/xactengine3_7.dll/d3dx9_24.dll/D3DX9_43.dll/xinput1_1.dll/xinput1_3.dll/XInput9_1_0.dll/d3dx9_33.dll" ValueType="2" Value="1"/>
    	
		<VC10x64 
			Group="2" id="27" Key="3" SubKey="SOFTWARE\Wow6432Node\Microsoft\VisualStudio\10.0\VC\VCRedist\x64" VersionStr="Version" ValueName="Bld" ValueType="2" Value="40219"/>
		
	</RT_Rules>
	<RT_File>
		<RT id="1" File="dx9c_setup.exe" Name="游戏必备DX9.0"/>
		<RT id="2" File="vc_redist_10_setup.exe" Name="游戏必备VC10运行时库"/>
		<RT id="3" File="vc_redist_10sp1_setup.exe" Name="游戏必备VC10sp1运行时库"/>
		<RT id="4" File="vc_redist_12_setup.exe" Name="游戏必备VC12运行时库"/>
		<RT id="5" File="vc_redist_13_setup.exe" Name="游戏必备VC13运行时库"/>
		<RT id="6" File="NetFx20SP1_setup.exe" Name="游戏必备Framework 2.0sp1"/>
		<RT id="7" File="NetFx20SP2_setup.exe" Name="游戏必备Framework 2.0sp2"/>
		<RT id="8" File="dotnetfx30SP1_setup.exe" Name="游戏必备Framework 3.0sp1"/>
		<RT id="9" File="dotnetfx30SP2_setup.exe" Name="游戏必备Framework 3.0sp2"/>
		<RT id="10" File="dotNetFx35_setup.exe" Name="游戏必备Framework 3.5"/>
		<RT id="11" File="dotnetfx35SP1_setup.exe" Name="游戏必备Framework 3.5sp1"/>
		<RT id="12" File="dotNetFx40_setup.exe" Name="游戏必备Framework 4"/>
		<RT id="13" File="dotNetFx45_setup.exe" Name="游戏必备Framework 4.5"/>
		<RT id="14" File="vc_redist_05sp1_setup.exe" Name="游戏必备VC2005运行时库"/>
		<RT id="15" File="vc_redist_08sp1_setup.exe" Name="游戏必备VC2008运行时库"/>
		
		<RT id="16" File="OpenAL_setup.exe" Name="游戏必备OpenAL运行时库"/>
		<RT id="17" File="Silverlight40_setup.exe" Name="游戏必备Silverlinght4.0运行时库"/>
		<RT id="18" File="XNA31_setup.msi" Name="游戏必备XNA3.1运行时库" SetupPara=""/><!--SetupPara表示运行安装的静默参数,赋值方式为" /xxx /yyy"-->
		<RT id="19" File="XNADotNet4_setup.exe" Name="游戏必备XNA4.0运行时库" SetupPara=""/><!--SetupPara表示运行安装的静默参数,赋值方式为" /xxx /yyy"-->
		<RT id="20" File="PhysX_setup.msi" Name="游戏必备PhysX运行时库" SetupPara=""/><!--SetupPara表示运行安装的静默参数,赋值方式为" /xxx /yyy"-->
		<RT id="21" File="Java8u66_setup.exe" Name="游戏必备Java运行时库"/>
		<RT id="22" File="MSXML_30_SP7_setup.msi" Name="游戏必备MSXML3.0SP7运行时库" SetupPara=""/><!--SetupPara表示运行安装的静默参数,赋值方式为" /xxx /yyy"-->
		<RT id="23" File="MSXML_40_SP3_setup.msi" Name="游戏必备MSXML4.0SP3运行时库" SetupPara=""/><!--SetupPara表示运行安装的静默参数,赋值方式为" /xxx /yyy"-->
		<RT id="24" File="MSXML_60_x86_setup.msi" Name="游戏必备MSXML6.0x86运行时库" SetupPara=""/><!--SetupPara表示运行安装的静默参数,赋值方式为" /xxx /yyy"-->
		<RT id="25" File="MSXML_60_x64_setup.msi" Name="游戏必备MSXML6.0x64运行时库" SetupPara=""/><!--SetupPara表示运行安装的静默参数,赋值方式为" /xxx /yyy"-->
		<RT id="26" File="DXRepair.exe" Name="游戏必备d3dx9运行时库"/>
		<RT id="27" File="vcredist_x64.exe" Name="游戏必备VC10x64运行时库"/>
		
	</RT_File>
	<Download URL="http://dl.3366.com/down/runtime/"/>
</Runtimes>
